This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1304584 - mariadb not starting correctly in the latest ospd-8 poodle builds (2016-02-03.2)
mariadb not starting correctly in the latest ospd-8 poodle builds (2016-02-03.2)
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
urgent Severity urgent
: ---
: 8.0 (Liberty)
Assigned To: Angus Thomas
yeylon@redhat.com
: Automation, AutomationBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 22:05 EST by wes hayutin
Modified: 2016-04-18 03:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-03 22:34:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2016-02-03 22:05:06 EST
Description of problem:

poodle build 2016-02-03.2

Undercloud - mysql log
160203 18:40:22  InnoDB: Waiting for the background threads to start
160203 18:40:23 Percona XtraDB (http://www.percona.com) 5.5.43-MariaDB-37.2 started; log sequence number 0
160203 18:40:23 [Note] Plugin 'FEEDBACK' is disabled.
160203 18:40:23 [Warning] Failed to setup SSL
160203 18:40:23 [Warning] SSL error: SSL_CTX_set_default_verify_paths failed
160203 18:40:23 [Note] Server socket created on IP: '192.0.2.1'.
160203 18:40:23 [Note] Event Scheduler: Loaded 0 events
160203 18:40:23 [Note] /usr/libexec/mysqld: ready for connections.
Version: '5.5.44-MariaDB'  socket: '/var/lib/mysql/mysql.sock'  port: 3306  MariaDB Server
160203 18:40:28 [Warning] IP address '192.0.2.1' could not be resolved: Name or service not known


Controller-0
Feb 03 19:31:08 overcloud-controller-0.localdomain os-collect-config[4908]: Error: Could not prefetch mysql_user provider 'mysql': Execution of '/usr/bin/mysql -NBe SELECT CONCAT(User, '@',Host) AS User FROM mysql.user' returned 1: ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)
Feb 03 19:31:08 overcloud-controller-0.localdomain os-collect-config[4908]: Error: Could not prefetch mysql_database provider 'mysql': Execution of '/usr/bin/mysql -NBe show databases' returned 1: ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)

I did not see the error on Controller-1

In a non-ha deployment the error is present on the controller.
Comment 1 Michael Bayer 2016-02-03 22:11:44 EST
will let others chime in but this is likely not a Mariadb-Galera bug and is a bug in the OSPd installer.   The log for MySQL above is only partial, does the server continue running after the failure to resolve or does it terminate?   Full logs would help here.
Comment 2 wes hayutin 2016-02-03 22:24:48 EST
(In reply to Michael Bayer from comment #1)
> will let others chime in but this is likely not a Mariadb-Galera bug and is
> a bug in the OSPd installer.   The log for MySQL above is only partial, does
> the server continue running after the failure to resolve or does it
> terminate?   Full logs would help here.

hrm.. I think you are right. I think it does resolve.. I see later puppet messages are successful in the collect-config log and mariadb is up and running on a live system.

Note You need to log in before you can comment on or make changes to this bug.